curl --request GET \
--url https://sandbox.zapyd.com/pis/api/v1/payin/history \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.zapyd.com/pis/api/v1/payin/history"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.zapyd.com/pis/api/v1/payin/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "6a1c0e7e-2b53-4f7e-9d2f-6d6e2b1c9a10",
"quotation_id": "2e104290-07c8-49f1-a5ca-0d27f0078f8a",
"customer_id": "84737c7d-7b62-4204-80d6-80f6ecb3ceb4",
"bank_id": "cab47575-bbcb-4294-81a3-30774104f3b6",
"asset": "USDT",
"fiat": "INR",
"network": "tron",
"payment_method": "IMPS",
"sending_amount": "10000.00",
"rate": "91.91",
"receiving_amount": "108.80",
"fees": {
"client_fee_fiat": 450,
"client_fee_crypto": 5,
"zapyd_fee": 450,
"pg_fee": 18,
"client_gst_fiat": 81,
"client_gst_crypto": 0.9,
"zapyd_gst": 81,
"pg_gst": 81,
"tds": 889.17,
"gross_effective_exchange_rate": 88.92
},
"client_reference_id": "payin-ref-001",
"wallet_address": "TXqH4MnDw46f3yyrRwau3JF92Y1ie3pAXf",
"transaction_reference_id": "412345678901",
"status": "PROCESSING",
"failure_reason": null,
"refund_reason": null,
"created_at": "2026-09-30T10:00:00Z",
"updated_at": "2026-09-30T10:05:00Z"
}
]
}
}{
"status": false,
"message": "Bad Request",
"err_code": "REQ_FIELD_MISSING",
"errors": {
"date_range": [
"start_date and end_date must be used together"
]
},
"data": null
}{
"status": false,
"message": "Internal Server Error",
"data": null,
"err_code": "SYS_INTERNAL_ERROR",
"errors": "Unexpected error occurred. Please try again later."
}Fetch Payin History
Lists your organization’s payin orders, with pagination.
| API Status Code | Response | Reason |
|---|---|---|
| 500 | Internal Server Error. | Internal Server Error |
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Query Parameters
Filter by status
PROCESSING, SUCCESS, FAILED, ON_HOLD, REFUND_INITIATED, REFUNDED "SUCCESS"
Filter payins by customer ID
"dfd8db74-2fbb-46d1-9a93-b90f156e13b4"
Filter payins created on or after this date (YYYY-MM-DD). Must be used together with end_date.
"2025-01-01"
Filter payins created on or before this date (YYYY-MM-DD). Must be used together with start_date.
"2025-01-31"
Sort field; prefix with - for descending
Page number
x >= 1Results per page (10–100)
10 <= x <= 100Response
Payout history fetched successfully
true
"Success"
Hide child attributes
Hide child attributes
Total count of records
1
URL for next page
null
URL for previous page
null
Hide child attributes
Hide child attributes
"6a1c0e7e-2b53-4f7e-9d2f-6d6e2b1c9a10"
"2e104290-07c8-49f1-a5ca-0d27f0078f8a"
"84737c7d-7b62-4204-80d6-80f6ecb3ceb4"
"cab47575-bbcb-4294-81a3-30774104f3b6"
"USDT"
"INR"
Network
"tron"
"IMPS"
Fiat amount the customer pays
"10000.00"
"91.91"
Crypto amount delivered
"108.80"
Hide child attributes
Hide child attributes
450
5
450
18
81
0.9
81
81
889.17
88.92
"payin-ref-001"
Wallet the crypto is delivered to
"TXqH4MnDw46f3yyrRwau3JF92Y1ie3pAXf"
Bank transaction reference (UTR for INR)
"412345678901"
Payin status
"PROCESSING"
null
null
"2026-09-30T10:00:00Z"
"2026-09-30T10:05:00Z"